#include <maps/wikimap/mapspro/services/mrc/drive/firmware_updater/libs/unittest/include/unittest_config.h>
#include <maps/libs/common/include/file_utils.h>

#include <library/cpp/testing/gtest/gtest.h>

namespace maps::fw_updater::unittest::tests {

class DummyFixture
{
public:
    explicit DummyFixture(xml3::Doc&) {}
    virtual ~DummyFixture() = default;
};

using ConfigTests = WithUnittestConfigFixture<DummyFixture>;

TEST_F(ConfigTests, test_config_fixture)
{
    auto configData = maps::common::readFileToString(configPath());
    EXPECT_EQ(configData, config().toString());
}

} //namespace maps::fw_updater::unittest::tests
